Bug 167213 - Use sub directory as root file system
Use sub directory as root file system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 12:13 EDT by Kasper Dupont
Modified: 2009-02-17 14:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 14:28:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch implementing rootdir option (1.60 KB, patch)
2005-08-31 12:21 EDT, Kasper Dupont
no flags Details | Diff
Implementation for FC5 (1.91 KB, patch)
2006-08-20 05:39 EDT, Kasper Dupont
no flags Details | Diff
Implementation for FC6 (1.67 KB, patch)
2007-01-22 14:23 EST, Kasper Dupont
no flags Details | Diff
Implementation for Fedora 8 (1.88 KB, patch)
2007-12-30 15:06 EST, Kasper Dupont
no flags Details | Diff
For F10 (1.88 KB, patch)
2009-01-09 05:14 EST, Kasper Dupont
no flags Details | Diff

  None (edit)
Description Kasper Dupont 2005-08-31 12:13:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
It should be possible to create an initrd file that will work if the installation is placed in a subdirectory rather than the root of a partition.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. Move Fedora Core from the root of a partition to a subdirectory
2. Try to boot.

Additional info:
Comment 1 Kasper Dupont 2005-08-31 12:21:45 EDT
Created attachment 118310 [details]
Patch implementing rootdir option

This patch allows booting Fedora Core with all of it in a sub directory. It can
be used in the following way.

1. Create a new initrd using the --rootdir option
2. Create a new directory on the partition I called it /FC4
3. Move everything (except from FC4 and lost+found) from the root into FC4
4. Boot using the new initrd and add ROOTDIR=/sysroot/FC4 to the command line.

Probably parts of this can be done in a nicer way if a few features were added
to nash.
Comment 2 Kasper Dupont 2005-08-31 12:52:09 EDT
I should add that the purpose of this option is to allow booting multiple
installations without requiring a seperate root partition for each. My laptop
currently have FC1, FC2, and FC4 all installed on the same partition.

When moving the installation as described above it shouldn't be done from within
the running system. When I needed to move FC4 I first booted into FC2.
Eventually the installer could be modified to allow installing directly into a
sub directory.
Comment 3 Kasper Dupont 2006-08-20 05:39:58 EDT
Created attachment 134523 [details]
Implementation for FC5

Here is an improved patch for mkinitrd-5.0.32-1. I will verify if it applies to
FC6 and rawhide as well.
Comment 4 Christian Iseli 2007-01-22 06:07:11 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Kasper Dupont 2007-01-22 14:23:23 EST
Created attachment 146210 [details]
Implementation for FC6
Comment 6 Kasper Dupont 2007-01-22 14:28:51 EST
The attached patch works with FC6. It has not been tested as thoroughly as the
FC5 version, but there are essentially no changes from the previous version.
Comment 7 Kasper Dupont 2007-01-23 00:03:45 EST
Looks like bugzilla will not let me change status from NEEDINFO unless I write
another comment.
Comment 8 Kasper Dupont 2007-12-30 15:06:18 EST
Created attachment 290556 [details]
Implementation for Fedora 8

I'd still like to see this feature in mainline. This feature makes it a lot
easier for me to setup systems to dualboot between different versions of
Fedora. The attached implementation for Fedora 8 is just an updated version of
the patch which has been working flawlessly since Fedora 5.
Comment 9 Bug Zapper 2008-11-26 01:52:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:53:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Kasper Dupont 2009-01-09 05:14:31 EST
Created attachment 328533 [details]
For F10
Comment 12 Peter Jones 2009-02-17 14:28:07 EST
I'd really rather not add this as a mkinitrd feature.  You should propose this as a feature for dracut ( development list at initramfs@vger.kernel.org ), which we hope to move to in the future.

Note You need to log in before you can comment on or make changes to this bug.